#
# spec file for package mailsync
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mailsync
BuildRequires:  gcc-c++
BuildRequires:  imap-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
Version:        5.2.1
Release:        188.5
Url:            http://sourceforge.net/projects/mailsync/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://unc.dl.sourceforge.net/sourceforge/mailsync/%{name}_%{version}.orig.tar.gz
Patch:          mailsync-correct-format-errors.patch
Summary:        The Mail Sync Tool
License:        GPL-2.0+
Group:          Productivity/Networking/Email/Utilities

%description
Mailsync is a way of keeping a collection of mailboxes synchronized.
The mailboxes may be on the local file system or on an IMAP server.



Authors:
--------
    Tim Culver <tim@doppke.com>
    Tomas Pospisek <tpo_deb@sourcepole.ch>

%prep
%setup -q
%patch -p1

%build
# no idea why, but without SUSE_ASNEEDED, pam symbols are not found (during configure),
# no matter how I'm ordering the -lxxx options... --seife
export SUSE_ASNEEDED=0
export CFLAGS="$RPM_OPT_FLAGS"
./configure
make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir} $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 src/mailsync $RPM_BUILD_ROOT%{_bindir}
install -m 644 doc/mailsync.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT;

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README THANKS TODO doc/examples/ doc/ABSTRACT
%doc %{_mandir}/man1/mailsync.1.gz
%{_bindir}/mailsync

%changelog
* Mon Dec  9 2013 seife+obs@b1-systems.com
- add SUSE_ASNEEDED=0 to fix c-client linking failure in configure
* Mon Jul  3 2006 seife@suse.de
- fix wrong output format strings (bug #155807)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep  2 2004 mmj@suse.de
- Remove unneeded Requires: [#44207]
* Sat Aug  7 2004 rommel@suse.de
- update to version 5.2.1
* Wed Jun  2 2004 rommel@suse.de
- update to version 5.1.2 (bug fix version)
- added patch for gcc problem with imap-devel
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Wed Apr 30 2003 rommel@suse.de
- update to 5.1.1
- fixed some code glitches (see mailsync-5.1.1-fixes.patch)
- fix for lib64
* Mon Apr 14 2003 rommel@suse.de
- update to 5.1.0
- mailsync has switched to autoconf/automake
- linkage.c has been dropped from the patch (now part of imap-devel)
* Tue Feb 25 2003 aj@suse.de
- Include cassert for assert.
* Mon Nov 18 2002 rommel@suse.de
- update to version 4.4.4
- fixed ssl support by providing my own linkage.c
- fixed linkage with c-client so this builds on 64bit platforms
* Thu Sep  5 2002 rommel@suse.de
- initial package creation of mailsync 4.3
